Page MenuHomePhabricator

Object of class DataValues\GeoCoordinateValue could not be converted to string
Closed, ResolvedPublic

Description

PHP Catchable fatal error: Object of class DataValues\GeoCoordinateValue could not be converted to string in /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php on line 406

PHP Catchable fatal error: Object of class DataValues\GeoCoordinateValue could not be converted to string in /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php on line 401

Will get some stack traces


Version: master
Severity: normal

Details

Reference
bz52501

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:50 AM
bzimport set Reference to bz52501.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Aug 3 2013, 3:52 PM
Reedy added a comment.Aug 3 2013, 3:54 PM

[03-Aug-2013 15:42:57] Catchable fatal error: Object of class DataValues\GeoCoordinateValue could not be converted to string at /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php on line 406
Server: mw1081
Method: GET
URL: http://www.wikidata.org/w/index.php?title=Special:RecentChanges&feed=atom
Backtrace:
#0 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php(406): Wikibase\ClaimDifferenceVisualizer::visualizeQualifierChanges()
#1 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php(100): Wikibase\ClaimDifferenceVisualizer->visualizeQualifierChanges(Object(Diff\Diff), Object(Wikibase\Statement))
#2 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/EntityDiffVisualizer.php(143): Wikibase\ClaimDifferenceVisualizer->visualizeClaimChange(Object(Wikibase\ClaimDifference), Object(Wikibase\Statement))
#3 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/EntityDiffVisualizer.php(105): Wikibase\EntityDiffVisualizer->getClaimDiffHtml(Object(Diff\DiffOpChange))
#4 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/repo/includes/EntityContentDiffView.php(154): Wikibase\EntityDiffVisualizer->visualizeDiff(Object(Wikibase\ItemDiff))
#5 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(676): Wikibase\EntityContentDiffView->generateContentDiffBody(Object(Wikibase\ItemContent), Object(Wikibase\ItemContent))
#6 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(608): DifferenceEngine->getDiffBody()
#7 /usr/local/apache/common-local/php-1.22wmf12/includes/FeedUtils.php(156): DifferenceEngine->getDiff('??? Older revis...', 'Revision as of ...')
#8 /usr/local/apache/common-local/php-1.22wmf12/includes/FeedUtils.php(91): FeedUtils::formatDiffRow(Object(Title), '63427104', '63432065', '20130803154212', '/* wbsetclaim-u...', '')
#9 /usr/local/apache/common-local/php-1.22wmf12/includes/ChangesFeed.php(208): FeedUtils::formatDiff(Object(stdClass))
#10 /usr/local/apache/common-local/php-1.22wmf12/includes/ChangesFeed.php(102): ChangesFeed::generateFeed(Object(ResultWrapper), Object(AtomFeed))
#11 /usr/local/apache/common-local/php-1.22wmf12/includes/specials/SpecialRecentchanges.php(182): ChangesFeed->execute(Object(AtomFeed), Object(ResultWrapper), '20130803154256', Object(FormOptions))
#12 /usr/local/apache/common-local/php-1.22wmf12/includes/SpecialPage.php(631): SpecialRecentChanges->execute(NULL)
#13 /usr/local/apache/common-local/php-1.22wmf12/includes/SpecialPageFactory.php(488): SpecialPage->run(NULL)
#14 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#15 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(565): MediaWiki->performRequest()
#16 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(458): MediaWiki->main()
#17 /usr/local/apache/common-local/php-1.22wmf12/index.php(55): MediaWiki->run()
#18 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#19 {main}

Reedy added a comment.Aug 3 2013, 3:54 PM

[03-Aug-2013 15:39:59] Catchable fatal error: Object of class DataValues\GeoCoordinateValue could not be converted to string at /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php on line 401
Server: mw1049
Method: GET
URL: http://www.wikidata.org/w/index.php?title=Q5783&diff=63213825&oldid=63213713
Cookie: uls-previous-languages=%5B%22en%22%5D; wikimedia-SUL-final-CN-general=5; wikibase.acknowledgedentitycopyright.en=By%20clicking%20%22save%22%2C%20you%20agree%20to%20the%20terms%20of%20use%2C%20and%20you%20irrevocably%20agree%20to%20release%20your%20contribution%20under%20the%20CC0%20license.; wikiEditor-0-booklet-help-page=format; centralnotice_bucket=0-4.2; uls-previous-languages=%5B%22en%22%2C%22qqx%22%5D; wikidatawikiUserID=61065; wikidatawikiUserName=Addshore; wikidatawiki_session=cf795476e82a919aa65affa17d79b6b0; centralauth_User=Addshore; centralauth_Session=ab5ee78e785e9bda60d9ac5476ac9cad
Backtrace:
#0 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php(401): Wikibase\ClaimDifferenceVisualizer::visualizeQualifierChanges()
#1 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php(100): Wikibase\ClaimDifferenceVisualizer->visualizeQualifierChanges(Object(Diff\Diff), Object(Wikibase\Statement))
#2 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/EntityDiffVisualizer.php(143): Wikibase\ClaimDifferenceVisualizer->visualizeClaimChange(Object(Wikibase\ClaimDifference), Object(Wikibase\Statement))
#3 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/lib/includes/EntityDiffVisualizer.php(105): Wikibase\EntityDiffVisualizer->getClaimDiffHtml(Object(Diff\DiffOpChange))
#4 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/repo/includes/EntityContentDiffView.php(154): Wikibase\EntityDiffVisualizer->visualizeDiff(Object(Wikibase\ItemDiff))
#5 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(676): Wikibase\EntityContentDiffView->generateContentDiffBody(Object(Wikibase\ItemContent), Object(Wikibase\ItemContent))
#6 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(608): DifferenceEngine->getDiffBody()
#7 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(581): DifferenceEngine->getDiff('<div id="mw-dif...', '<div id="mw-dif...', '')
#8 /usr/local/apache/common-local/php-1.22wmf12/includes/diff/DifferenceEngine.php(401): DifferenceEngine->showDiff('<div id="mw-dif...', '<div id="mw-dif...', '')
#9 /usr/local/apache/common-local/php-1.22wmf12/includes/Article.php(816): DifferenceEngine->showDiffPage(false)
#10 /usr/local/apache/common-local/php-1.22wmf12/includes/Article.php(548): Article->showDiffPage()
#11 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(226): Article->view()
#12 /usr/local/apache/common-local/php-1.22wmf12/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(156): Wikibase\ViewEntityAction->displayEntityContent(Object(Wikibase\ItemContent))
#13 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(439): Wikibase\ViewEntityAction->show()
#14 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#15 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(565): MediaWiki->performRequest()
#16 /usr/local/apache/common-local/php-1.22wmf12/includes/Wiki.php(458): MediaWiki->main()
#17 /usr/local/apache/common-local/php-1.22wmf12/index.php(55): MediaWiki->run()
#18 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#19 {main}

aude added a comment.Aug 28 2013, 8:05 AM
  • Bug 53459 has been marked as a duplicate of this bug. ***
aude added a comment.Aug 28 2013, 8:05 AM

Reported by Infovarius in Wikidata project chat:

Somehow the
[http://www.wikidata.org/w/index.php?title=Q5705&diff=cur&oldid=55786041 diff]
cannot be seen. It says: "PHP fatal error in
/usr/local/apache/common-local/php-1.22wmf13/extensions/Wikibase/lib/includes/ClaimDifferenceVisualizer.php
line 401: Object of class DataValues\GeoCoordinateValue could not be converted
to string"

[ Product move: WikiBase -> DataValues. Adding Jeroen De Dauw as cc. ]

In the DataValues extension, there is no __toString method in the GlobeCoordinateValue class.

Change 81551 had a related patch set uploaded by Aude:
(bug 52501) handle GlobeCoordinateValue in diff display

https://gerrit.wikimedia.org/r/81551

Change 81551 merged by Tobias Gritschacher:
(bug 52501) handle GlobeCoordinateValue in diff display

https://gerrit.wikimedia.org/r/81551

(In reply to comment #7)

Change 81551 merged by Tobias Gritschacher:
(bug 52501) handle GlobeCoordinateValue in diff display

https://gerrit.wikimedia.org/r/81551

Merged - can this bug report be closed, or is there more to do?

aude added a comment.Sep 2 2013, 1:39 PM

the patch is only for the deployment branch. still needs to be fixed in master

[ Bug metadata fixed according comments 6 to 9 ]

Change 82815 had a related patch set uploaded by Tobias Gritschacher:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/82815

Change 82815 abandoned by Tobias Gritschacher:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/82815

Change 82816 had a related patch set uploaded by Tobias Gritschacher:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/82816

Change 82816 merged by jenkins-bot:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/82816

Change 84121 had a related patch set uploaded by Aude:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/84121

Change 84121 abandoned by Aude:
(bug 52501) don't break diff when dataValue could not be formatted

https://gerrit.wikimedia.org/r/84121